if (etat_arbrophile1 == 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Tree lover> Duuude, your cookie is sublime.")
}

if (etat_arbrophile1 < 1 && pinv.getSlotContainingItem(357) < 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Tree lover> Heeey dude... Got a 'special' cookie for me ?");
time.sleep(2);
sound.playSoundUI("sound.dialogues");
chat.print("If you bring me one, I will give you a 'special' something too.");
}

if (etat_arbrophile1 < 1 && pinv.getSlotContainingItem(357) != -1)
{
pinv.consumeItemAmount(357,0,1);
world.triggerBlock(-198,68,45);
sound.playSoundUI("sound.dialogues");
chat.print("<Tree lover> Wooow ! You got me a cookie !")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("... Mmmmmmhhhh.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("As a reward, here is my current joint... The cookie will do for the night.")
time.sleep(5);
sound.playSoundUI("sound.réussite");
world.triggerBlock(-198,68,46);
chat.print("*You got un joint*")
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("You'll see... You'll be able to perceive transcendantal dimensions where things are here and not here at the same time.")
time.sleep(6);
sound.playSoundUI("sound.dialogues");
chat.print("For instance there are weird things going on when you are staring a smoky area in a trip.")
etat_arbrophile1=1;
}